Package edu.hws.jcm.awt

# Class JCMError

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
edu.hws.jcm.awt.JCMError

All Implemented Interfaces:
  `Serializable`

public class JCMError extends RuntimeException
JCMErrors can be generated by objects belonging to various classes in edu.hws.jcm.awt and edu.hws.jcm.draw. A JCMError can have an associated object, which is generally a ParseContext, InputObject, or Computable.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`Object`
`object`
Object, possibly null, associated with this error.

## Constructor Summary

Constructors
Constructor
Description
`JCMError(String message)`
Create a JCMError with the given error message and no associated object.
`JCMError(String message, Object object)`
Create a JCMError with the given error message and associated object.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### object

public Object object
Object, possibly null, associated with this error.

## Constructor Details

### JCMError

public JCMError(String message)
Create a JCMError with the given error message and no associated object.

Parameters:
  `message` - the error message associated with this JCMError.

### JCMError

public JCMError(String message, Object object)
Create a JCMError with the given error message and associated object.

Parameters:
  `message` - the error message associated with this JCMError.
  `object` - the object associated with this JCMError.